unit Displays;
{ DeHQX v2.0.0  Peter Lewis, Aug 1991 }

interface

	uses
		FixMath, MyUtilities, HQXLIsts;

	var
		buffer_pos: integer;

	procedure DisplayUpdate (wp: windowPtr);
	procedure ProgressItem (dlg: windowPtr; item: integer);

implementation

	procedure ProgressItem (dlg: windowPtr; item: integer);
		var
			it: integer;
			ih: handle;
			box: rect;
			text: str255;
			w, uw: integer;
	begin
		SetPort(dlg); { for when called by my pseudo update }
		GetDItem(dlg, item, it, ih, box);
		FrameRect(box);
		InsetRect(box, 1, 1);
		with box do begin
			w := right - left;
			uw := FracMul(w, FracDiv(size_processed + buffer_pos, size_in_lists));
			right := left + uw;
			FillRect(box, gray);
			left := right;
			right := right + w - uw;
			EraseRect(box);
		end;
	end;

	procedure DisplayUpdate (wp: windowPtr);
	begin
		ProgressItem(wp, 1);
		SetItemText(wp, 2, processing_name);
	end;

end.